/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DLIB.H__   1.4   20 Jun 1996 09:29:38   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DLIB.H__  $
** 
**    Rev 1.4   20 Jun 1996 09:29:38   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:16   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:36:08   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dc.h
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _DLIB_
#define _DLIB_

class DLIBTool : public CToolOption
{      
// constructor/destructor
public:
    DLIBTool() { SetDefault(); }
    
// attributes
public:      
    BOOL     m_nSmall;
    BOOL     m_nCompact;
    BOOL     m_nLarge;
    CString m_strMore; 
    CString m_strPath;
    virtual LPCSTR GetToolName(void) const 
    {
        return "OMF51 c51 Library";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _DLIB_
